/*
 * ******************************************************************
 * Copyright (c) 2025 Broadcom. All Rights Reserved.
 * Broadcom Confidential. The term "Broadcom" refers to Broadcom Inc.
 * and/or its subsidiaries.
 * ******************************************************************
 */
import { Injectable } from "@angular/core";
import { BehaviorSubject } from "rxjs";

@Injectable()
export class ActiveThemeService {
    private themeModeSbj = new BehaviorSubject<string>("light");
    themeMode$ = this.themeModeSbj.asObservable();

    public setThemeMode(theme: string) {
        this.themeModeSbj.next(theme);
    }
}